
TYPO3.Flow - Feature # 31678

Status: Resolved Priority: Should have
Author: Christopher Hlubek Category: Security
Created: 2011-11-08 Assigned To: Christopher Hlubek
Updated: 2011-12-21 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: Support BCrypt (Blowfish crypt) password hashing
Description

Password hashing with BCrypt should be supported and used as the default password hashing strategy.

Related issues:
related to TYPO3.Flow - Bug # 32991: Wrong default password hashing strategy Resolved 2012-01-05

Associated revisions
Revision 23fec41b - 2011-11-08 14:04 - Julian Wachholz

[FEATURE] Add BCrypt hashing strategy

This adds a wrapper for the BCrypt hashing algorithm and
makes it the default password hashing strategy.
Also provides a fallback when using hashes generated by PBKDF2.

Releases: 1.1
Resolves: #31678
Change-Id: Ib99b7197d83a3ac037ce4940d402b700900ad13e

History
#1 - 2011-11-08 14:04 - Mr. Hudson
- Status changed from New to Under Review

Patch set 5 of change Ib99b7197d83a3ac037ce4940d402b700900ad13e has been pushed to the review server.
It is available at http://review.typo3.org/5756

#2 - 2011-11-11 16:36 - Julian Wachholz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:23fec41b62b15601eaa3053e0152238fb5f2f91a.

#3 - 2011-12-21 12:38 - Karsten Dambekalns
- Target version changed from 1.1 to 1.1 beta 1
